package opc.ua.im.datatype;

import java.util.Date;
import opc.ua.addressspace.nodeclasse.DataTypeNode;

public class BuildInfo extends DataTypeNode {
	
	private String productUri;
	private String manufacturerName;
	private String productName;
	private String softwareVersion;
	private String buildNumber;
	/** UtcTime */
	private Date buildDate;


	public BuildInfo() {
		setBrowseName("BuildInfo");
	}

	public String getProductUri() {
		return productUri;
	}

	public void setProductUri(String productUri) {
		this.productUri = productUri;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public String getSoftwareVersion() {
		return softwareVersion;
	}

	public void setSoftwareVersion(String softwareVersion) {
		this.softwareVersion = softwareVersion;
	}

	public String getBuildNumber() {
		return buildNumber;
	}

	public void setBuildNumber(String buildNumber) {
		this.buildNumber = buildNumber;
	}

	public Date getBuildDate() {
		return buildDate;
	}

	public void setBuildDate(Date buildDate) {
		this.buildDate = buildDate;
	}
	
}
